Bug 244829 - cad/brlcad: update to 7.30.2
Summary: cad/brlcad: update to 7.30.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-15 16:37 UTC by Erik Greenwald
Modified: 2020-03-17 11:52 UTC (History)
1 user (show)

See Also:
fernape: maintainer-feedback+


Attachments
patch file (40.81 KB, patch)
2020-03-15 16:37 UTC, Erik Greenwald
no flags Details | Diff
patch 2 (40.66 KB, patch)
2020-03-15 16:43 UTC, Erik Greenwald
erik: maintainer-approval+
Details | Diff
additional improvements on top of submitter's patch (40.73 KB, patch)
2020-03-16 19:47 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Greenwald 2020-03-15 16:37:01 UTC
Created attachment 212431 [details]
patch file

Updates cad/brlcad to 7.30.2.
Comment 1 Erik Greenwald 2020-03-15 16:43:49 UTC
Created attachment 212432 [details]
patch 2

fixes whitespace around line 50ish
Comment 2 Automation User 2020-03-16 14:58:26 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/126465913
Comment 3 Fernando Apesteguía freebsd_committer 2020-03-16 19:47:52 UTC
Created attachment 212451 [details]
additional improvements on top of submitter's patch

Hi Erik,

Thanks for the update!

I made some changes to the Makefile to try and avoid touching DISTFILES if at all possible.

I plan to commit this one if you agree.

Cheers.
Comment 4 Erik Greenwald 2020-03-16 22:51:56 UTC
Absolutely, thank you very much!
Comment 5 commit-hook freebsd_committer 2020-03-17 11:51:24 UTC
A commit references this bug:

Author: fernape
Date: Tue Mar 17 11:50:33 UTC 2020
New revision: 528575
URL: https://svnweb.freebsd.org/changeset/ports/528575

Log:
  cad/brlcad: update to 7.30.2

  PR:	244829
  Submitted by:	erik@brlcad.org (maintainer)

Changes:
  head/cad/brlcad/Makefile
  head/cad/brlcad/distinfo
  head/cad/brlcad/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2020-03-17 11:52:18 UTC
Committed,

Thanks!